Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.spi.rp
Interface Result

All Known Implementing Classes:
  DefaultResult

public interface Result

RequestProcessor의 처리 결과를 저장한다.

Since:
  2.0
Author:
  최범균

Method Summary
`java.lang.String` | `getCode()` 결과 코드.
`java.lang.String` | `getCommandID()` 이 결과와 관련된 명령어 ID
`java.lang.Object` | `getData(java.lang.String name)` 처리 결과와 관련된 데이터를 구한다.
`java.lang.String[]` | `getErrorMessage()` 에러가 발생했을 경우 에러 메시지 목록을 리턴한다.
`java.lang.Throwable` | `getException()` 요청 처리 과정에서 문제가 발생한 경우 관련 예외를 구한다.
`RequestInfo` | `getRequestInfo()` 이 Result와 연관된 RequestInfo를 리턴한다.
`boolean` | `isErrorOccured()` 처리 과정에서 예외가 발생했는 지의 여부를 검사한다.

Method Detail

### getCommandID

    public java.lang.String getCommandID()

  이 결과와 관련된 명령어 ID

  Returns:
    명령어 ID

### getCode

    public java.lang.String getCode()

  결과 코드. UICreator는 이 값을 사용하여 알맞은 뷰를 생성하게 된다.

  Returns:
    결과 코드

### getData

    public java.lang.Object getData(java.lang.String name)

  처리 결과와 관련된 데이터를 구한다.

  Parameters:
    `name` - 데이터의 이름
  Returns:
    데이터 값

### isErrorOccured

    public boolean isErrorOccured()

  처리 과정에서 예외가 발생했는 지의 여부를 검사한다.

  Returns:
    예외가 발생했을 경우 true를 리턴

### getException

    public java.lang.Throwable getException()

  요청 처리 과정에서 문제가 발생한 경우 관련 예외를 구한다. 이 메소드는 오직 요청과 관련된 문제에 대해서만 관여한다. 컴포넌트의 초기화가 안 되었거나 또는 컴포넌트의 상태 문제로 인해 발생되는 예외는 이 메소드를 통해서 처리되지 않는다.

  요청의 처리가 아닌 컴포넌트 자체 문제는 RequestProcessor.process() 메소드에서 ComponentException을 발생시키도록 한다.

  Returns:
    내부 처리 과정에서 발생한 예외 객체. 예외가 발생하지 않았다면 null을 리턴.

### getErrorMessage

    public java.lang.String[] getErrorMessage()

  에러가 발생했을 경우 에러 메시지 목록을 리턴한다.

  Returns:
    에러 메시지 목록. 에러가 발생하지 않았다면 null이나 길이가 0을 배열을 리턴

### getRequestInfo

    public RequestInfo getRequestInfo()

  이 Result와 연관된 RequestInfo를 리턴한다.

  Returns:
    RequestInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD